
%global meadversion 3.3.1
%global namedversion 3.3.1.redhat-12
%global meadalpha .redhat_12
%global meadrel .1
%global serial 13
%global namedversionrel redhat-12

%bcond_with javadoc
%bcond_without mead
%bcond_with debug_all

%{?scl:%scl_package %{?scl_prefix}objectweb-asm}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.3.1.redhat-12

Name:           %{?scl_prefix}objectweb-asm
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        ASM
Group:          Development/Java

%if %with mead
Source100: asm-project-3.3.1.redhat-12-scm-sources.zip
Source102: asm-parent-3.3.1.redhat-12.pom
Source103: asm-analysis-3.3.1.redhat-12.pom
Source104: asm-analysis-3.3.1.redhat-12-sources.jar
Source105: asm-analysis-3.3.1.redhat-12.jar
Source106: asm-xml-3.3.1.redhat-12.jar
Source107: asm-xml-3.3.1.redhat-12-sources.jar
Source108: asm-xml-3.3.1.redhat-12.pom
Source109: asm-project-3.3.1.redhat-12.pom
Source110: asm-project-3.3.1.redhat-12-project-sources.tar.gz
Source111: asm-commons-3.3.1.redhat-12-sources.jar
Source112: asm-commons-3.3.1.redhat-12.jar
Source113: asm-commons-3.3.1.redhat-12.pom
Source114: asm-all-3.3.1.redhat-12.pom
Source115: asm-all-3.3.1.redhat-12-javadoc.jar
Source116: asm-all-3.3.1.redhat-12-sources.jar
Source117: asm-all-3.3.1.redhat-12.jar
Source118: asm-3.3.1.redhat-12.jar
Source119: asm-3.3.1.redhat-12-sources.jar
Source120: asm-3.3.1.redhat-12.pom
Source121: asm-debug-all-3.3.1.redhat-12.jar
Source122: asm-debug-all-3.3.1.redhat-12-javadoc.jar
Source123: asm-debug-all-3.3.1.redhat-12.pom
Source124: asm-debug-all-3.3.1.redhat-12-sources.jar
Source125: asm-tree-3.3.1.redhat-12-sources.jar
Source126: asm-tree-3.3.1.redhat-12.pom
Source127: asm-tree-3.3.1.redhat-12.jar
Source128: asm-util-3.3.1.redhat-12-sources.jar
Source129: asm-util-3.3.1.redhat-12.pom
Source130: asm-util-3.3.1.redhat-12.jar
%endif

License:        BSD
URL:            http://asm.objectweb.org/
Provides:       %{?scl_prefix}asm = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}asm-all = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}asm-analysis = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}asm-commons = %{epoch}:%{version}-%{release}
%if %with debug_all
Provides:       %{?scl_prefix}asm-debug-all = %{epoch}:%{version}-%{release}
%endif
Provides:       %{?scl_prefix}asm-tree = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}asm-util = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}asm-xml = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
A very small and fast Java bytecode manipulation framework.

%prep
%setup -q -n asm -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/asm-all-%{namedversion}.jar %{buildroot}%{_javadir}/asm-all-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-all-%{namedversion}-sources.jar %{buildroot}%{_javadir}/asm-all-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/asm-analysis-%{namedversion}.jar %{buildroot}%{_javadir}/asm-analysis-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-analysis-%{namedversion}.jar %{buildroot}%{_javadir}/asm-analysis-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/asm-commons-%{namedversion}.jar %{buildroot}%{_javadir}/asm-commons-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-commons-%{namedversion}.jar %{buildroot}%{_javadir}/asm-commons-%{namedversion}-sources.jar
%if %with debug_all
%{__cp} -p %{_sourcedir}/asm-debug-all-%{namedversion}.jar %{buildroot}%{_javadir}/asm-debug-all-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-debug-all-%{namedversion}-sources.jar %{buildroot}%{_javadir}/asm-debug-all-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/asm-tree-%{namedversion}.jar %{buildroot}%{_javadir}/asm-tree-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-tree-%{namedversion}.jar %{buildroot}%{_javadir}/asm-tree-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/asm-util-%{namedversion}.jar %{buildroot}%{_javadir}/asm-util-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-util-%{namedversion}.jar %{buildroot}%{_javadir}/asm-util-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/asm-xml-%{namedversion}.jar %{buildroot}%{_javadir}/asm-xml-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-xml-%{namedversion}.jar %{buildroot}%{_javadir}/asm-xml-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/asm-%{namedversion}.jar %{buildroot}%{_javadir}/asm-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-%{namedversion}.jar %{buildroot}%{_javadir}/asm-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.txt
%{_javadir}/asm-all-%{namedversion}.jar
%{_javadir}/asm-all.jar
%{_javadir}/asm-all-%{namedversion}-sources.jar
%{_javadir}/asm-all-sources.jar
%{_javadir}/asm-analysis-%{namedversion}.jar
%{_javadir}/asm-analysis.jar
%{_javadir}/asm-analysis-%{namedversion}-sources.jar
%{_javadir}/asm-analysis-sources.jar
%{_javadir}/asm-commons-%{namedversion}.jar
%{_javadir}/asm-commons.jar
%{_javadir}/asm-commons-%{namedversion}-sources.jar
%{_javadir}/asm-commons-sources.jar
%if %with debug_all
%{_javadir}/asm-debug-all-%{namedversion}.jar
%{_javadir}/asm-debug-all.jar
%{_javadir}/asm-debug-all-%{namedversion}-sources.jar
%{_javadir}/asm-debug-all-sources.jar
%endif
%{_javadir}/asm-tree-%{namedversion}.jar
%{_javadir}/asm-tree.jar
%{_javadir}/asm-tree-%{namedversion}-sources.jar
%{_javadir}/asm-tree-sources.jar
%{_javadir}/asm-util-%{namedversion}.jar
%{_javadir}/asm-util.jar
%{_javadir}/asm-util-%{namedversion}-sources.jar
%{_javadir}/asm-util-sources.jar
%{_javadir}/asm-xml-%{namedversion}.jar
%{_javadir}/asm-xml.jar
%{_javadir}/asm-xml-%{namedversion}-sources.jar
%{_javadir}/asm-xml-sources.jar
%{_javadir}/asm-%{namedversion}.jar
%{_javadir}/asm.jar
%{_javadir}/asm-%{namedversion}-sources.jar
%{_javadir}/asm-sources.jar

%changelog
* Thu Dec 03 2015 David Walluck <dwalluck@redhat.com> - 3.3.1-13.redhat_12.1
- add sources jars

* Wed Sep 30 2015 David Walluck <dwalluck@redhat.com> - 3.3.1-12.redhat_11.1
- remove debug-all jars

* Wed Sep 23 2015 David Walluck <dwalluck@redhat.com> - 3.3.1-11.redhat_11.1
- update manifests

* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 3.3.1-10.redhat_10.1
- Re-wrap to include RHEL-6

* Tue May 12 2015 David Walluck <dwalluck@redhat.com> - 3.3.1-9.redhat_10.1
- build for EAP 7

* Thu Oct 02 2014 David Walluck <dwalluck@redhat.com> - 3.3.1-8.redhat_9.1
- rebuild for target 1.6

* Mon Sep 22 2014 David Walluck <dwalluck@redhat.com> - 3.3.1-7.redhat_7.1
- build with mvn

* Fri Sep 19 2014 David Walluck <dwalluck@redhat.com> 0:3.3.1-7.redhat_6.1
- release
